Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	libdaemon is a lightweight C library that eases the writing daemons
Name:		libdaemon
Version:	0.12
Release:	1
License:	GNU/LGPL 
URL:		http://0pointer.de/lennart/projects/libdaemon
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
libdaemon is a lightweight C library that eases the writing of UNIX
   daemons. It consists of the following parts:
     * A wrapper around fork() which does the correct daemonization
       procedure of a process
     * A wrapper around syslog() for simpler and compatible log output to
       Syslog or STDERR
     * An API for writing PID files
     * An API for serializing UNIX signals into a pipe for usage with
       select() or poll()
     * An API for running subprocesses with STDOUT and STDERR redirected
       to syslog.

   APIs like these are used in most daemon software available. It is not
   that simple to get it done right and code duplication is not a goal.

   libdaemon is currently used by [18]ifplugd, [19]waproamd, [20]ivam2
   and [21]aeswepd.


%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --disable-lynx
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.12-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- Version update
* Fri Feb 02 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.10-1
- Version Update
* Mon Jun 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.8-3
- Fixed Summary
* Mon Jun 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.8-2
- Tweaked specfile
* Wed Jun 08 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.8-1
- Initial Release
